import React from 'react'
import { render } from 'react-dom'
import { Base } from '@foundation/core'
import { Card, CardContent, Title, Subtitle, presets } from '@foundation/core'
import FoundationGraph from './components/default.jsx'
import { nodes, links } from './utils/data.js'

render(
	<Base
		style={{ fontFamily: 'Lato, Arial, sans-serif' }}
		theme={{
			neutral: [ '#FFFFFF', '#F6F6F6', '#D8D8D8', '#9B9B9B', '#777777', '#333333' ],
		    primary: [ '#5AC8FA', '#4A90E2' ]
		}}
	>
		<FoundationGraph
			render={render}
			results={nodes}
			links={links}
			definitions={[
				{
					type: 'people',
					card: ({ resource, ...props }) => (
						<Card {...props}>
							<CardContent>
								<Title style={{ textTransform: 'capitalize' }}>
									{resource.type}
								</Title>
								<Subtitle>Identifier: {resource.id}</Subtitle>
							</CardContent>
						</Card>
					)
				}
			]}
		/>
	</Base>,
	document.getElementById('root')
)