import { createContext } from 'react'

/**
 * Exposes top-level graph data, simulation, and more.
 * 
 * @type {object}
 */
export const GraphContext = createContext({
	simulation: null,
	nodes: null,
	links: null
})

/**
 * Exposes an interface to enable dragging.
 * 
 * @type {object}
 */
export const DragContext = createContext(null)

/**
 * Exposes an interface to enable node selection.
 * 
 * @type {object}
 */
export const SelectContext = createContext({
	brush: null
})